org.jboss.jca.core.connectionmanager.pool.api

## Enum PoolStrategy

- java.lang.Object
- - java.lang.Enum<PoolStrategy>
  - - org.jboss.jca.core.connectionmanager.pool.api.PoolStrategy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PoolStrategy>

      public enum PoolStrategy
      extends java.lang.Enum<PoolStrategy>

  Defines a pool strategy.
  Author:
    Jesper Pedersen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ONE_POOL` ONE_POOL
    `POOL_BY_CRI` POOL_BY_CRI
    `POOL_BY_SUBJECT` POOL_BY_SUBJECT
    `POOL_BY_SUBJECT_AND_CRI` POOL_BY_SUBJECT_AND_CRI
    `REAUTH` REAUTH

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PoolStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PoolStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POOL_BY_CRI

          public static final PoolStrategy POOL_BY_CRI

      POOL_BY_CRI

    - #### POOL_BY_SUBJECT

          public static final PoolStrategy POOL_BY_SUBJECT

      POOL_BY_SUBJECT

    - #### POOL_BY_SUBJECT_AND_CRI

          public static final PoolStrategy POOL_BY_SUBJECT_AND_CRI

      POOL_BY_SUBJECT_AND_CRI

    - #### ONE_POOL

          public static final PoolStrategy ONE_POOL

      ONE_POOL

    - #### REAUTH

          public static final PoolStrategy REAUTH

      REAUTH

  - ### Method Detail

    - #### values

          public static PoolStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PoolStrategy c : PoolStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PoolStrategy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)